/*Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-EPD75-1B
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with:
Works with Arduino 1.6.0 IDE  
Works with Arduino DUE,Arduino mega2560,Arduino UNO Board
If using UNO board, please remove FFC flat cable, otherwise it may display abnormally
****************************************************/
#include "ER-EPD075-1B.h"
#include "GUI_Paint.h"
#include "EPD_SDCard.h"
// #include "ImageData.h"
#include <Wire.h>
#include <SPI.h>
#include <SD.h>


void setup()
{
    GUIPAINT paint;
    EPD7IN5 epd;
    EPD_SDCARD SD;

    //Initialize e-Paper
    if (epd.EPD_Init() != 0) {
        Serial.print("e-Paper init failed");
        return;
    }
    epd.EPD_Clear();
    Serial.print("7.5inch e-Paper demo\n");

#if 1
    //1.Initialize the SD card
    SD.SDCard_Init();
    
    //2.Create a new image cache named IMAGE_BW and fill it with white
    paint.Paint_NewImage(IMAGE_BW, EPD_WIDTH, EPD_HEIGHT, IMAGE_ROTATE_0, IMAGE_COLOR_POSITIVE);
    paint.Paint_Clear(WHITE);    
    
    //3.Read BMP pictures into RAM
    SD.SDCard_ReadBMP("075-1b1.bmp", 0, 0);
    
    //4.Refresh the picture in RAM to e-Paper
    epd.EPD_Display();
    Dev->Dev_Delay_ms(2000);
    
    //Create a new image cache named IMAGE_BW and fill it with white
    paint.Paint_NewImage(IMAGE_BW, EPD_WIDTH, EPD_HEIGHT, IMAGE_ROTATE_0, IMAGE_COLOR_INVERTED);
    paint.Paint_Clear(WHITE);    
    
    //Read BMP pictures into RAM
    SD.SDCard_ReadBMP("075-1b2.bmp", 0, 0);
    
    //Refresh the picture in RAM to e-Paper
    epd.EPD_Display();
    Dev->Dev_Delay_ms(2000);    
    
#endif    

#if 1
    //1.Create a new image cache named IMAGE_BW and fill it with white
    paint.Paint_NewImage(IMAGE_BW, EPD_WIDTH, EPD_HEIGHT, IMAGE_ROTATE_0, IMAGE_COLOR_INVERTED);
    paint.Paint_Clear(WHITE);

    //2.Drawing on the image
    paint.Paint_DrawPoint(25, 50, BLACK, DOT_PIXEL_1X1, DOT_STYLE_DFT);
    paint.Paint_DrawPoint(25, 70, BLACK, DOT_PIXEL_2X2, DOT_STYLE_DFT);
    paint.Paint_DrawPoint(25, 90, BLACK, DOT_PIXEL_3X3, DOT_STYLE_DFT);
    paint.Paint_DrawPoint(25, 110, BLACK, DOT_PIXEL_4X4, DOT_STYLE_DFT);

    paint.Paint_DrawLine(50, 50, 150, 150, BLACK, LINE_STYLE_SOLID, DOT_PIXEL_1X1);
    paint.Paint_DrawLine(150, 50, 50, 150, BLACK, LINE_STYLE_SOLID, DOT_PIXEL_1X1);
    paint.Paint_DrawLine(100, 200, 100, 300, BLACK, LINE_STYLE_DOTTED, DOT_PIXEL_1X1);
    paint.Paint_DrawLine(50, 250, 150, 250, BLACK, LINE_STYLE_DOTTED, DOT_PIXEL_1X1);

    paint.Paint_DrawRectangle(50, 50, 150, 150, BLACK, DRAW_FILL_EMPTY, DOT_PIXEL_1X1);
    paint.Paint_DrawRectangle(200, 50, 300, 150, BLACK, DRAW_FILL_FULL, DOT_PIXEL_1X1);

    paint.Paint_DrawCircle(100, 250, 50, BLACK, DRAW_FILL_EMPTY, DOT_PIXEL_1X1);
    paint.Paint_DrawCircle(250, 250, 50, BLACK, DRAW_FILL_FULL, DOT_PIXEL_1X1);

    paint.Paint_DrawString_EN(10, 310, "hello! EPD", &Font24, WHITE, BLACK);
    paint.Paint_DrawString_EN(10, 335, "www.buydisplay.com", &Font24, BLACK, WHITE);
    paint.Paint_DrawString_EN(10, 360, "123456789", &Font24, BLACK, WHITE);
   // paint.Paint_DrawNum(10, 360, 123456789, &Font24, BLACK, WHITE);

    //3.Refresh the picture in RAM to e-Paper
    epd.EPD_Display();
#endif
   Dev->Dev_Delay_ms(15000);
    epd.EPD_Clear();
   epd.EPD_TurnOnDisplay();   
    epd.EPD_Sleep();
}

void loop()
{

}
